package com.mortals.xhx.module.certificate.model;

import java.util.List;
import com.mortals.xhx.module.certificate.model.CertificateDocumentEntity;
/**
 * 子证配置查询对象
 *
 * @author zxfei
 * @date 2024-07-28
 */
public class CertificateDocumentQuery extends CertificateDocumentEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 部门id */
    private Long deptIdStart;

    /** 结束 部门id */
    private Long deptIdEnd;

    /** 增加 部门id */
    private Long deptIdIncrement;

    /** 部门id列表 */
    private List <Long> deptIdList;

    /** 部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 子证名称 */
    private List<String> documentNameList;

    /** 子证名称排除列表 */
    private List <String> documentNameNotList;
    /** 开始 状态，0：禁用1：启用 */
    private Integer statusStart;

    /** 结束 状态，0：禁用1：启用 */
    private Integer statusEnd;

    /** 增加 状态，0：禁用1：启用 */
    private Integer statusIncrement;

    /** 状态，0：禁用1：启用列表 */
    private List <Integer> statusList;

    /** 状态，0：禁用1：启用排除列表 */
    private List <Integer> statusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 照面内容模板 */
    private List<String> templateContentList;

    /** 照面内容模板排除列表 */
    private List <String> templateContentNotList;
    /** 内容表单 */
    private List<String> formContentList;

    /** 内容表单排除列表 */
    private List <String> formContentNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CertificateDocumentQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CertificateDocumentQuery> andConditionList;

    public CertificateDocumentQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 子证名称
     * @return documentNameList
     */
    public List<String> getDocumentNameList(){
        return this.documentNameList;
    }

    /**
     * 设置 子证名称
     * @param documentNameList
     */
    public void setDocumentNameList(List<String> documentNameList){
        this.documentNameList = documentNameList;
    }

    /**
     * 获取 子证名称
     * @return documentNameNotList
     */
    public List<String> getDocumentNameNotList(){
        return this.documentNameNotList;
    }

    /**
     * 设置 子证名称
     * @param documentNameNotList
     */
    public void setDocumentNameNotList(List<String> documentNameNotList){
        this.documentNameNotList = documentNameNotList;
    }

    /**
     * 获取 开始 状态，0：禁用1：启用
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 状态，0：禁用1：启用
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 状态，0：禁用1：启用
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 状态，0：禁用1：启用
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 状态，0：禁用1：启用
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 状态，0：禁用1：启用
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 状态，0：禁用1：启用
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 状态，0：禁用1：启用
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 状态，0：禁用1：启用
     * @return statusNotList
     */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 状态，0：禁用1：启用
     * @param statusNotList
     */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 照面内容模板
     * @return templateContentList
     */
    public List<String> getTemplateContentList(){
        return this.templateContentList;
    }

    /**
     * 设置 照面内容模板
     * @param templateContentList
     */
    public void setTemplateContentList(List<String> templateContentList){
        this.templateContentList = templateContentList;
    }

    /**
     * 获取 照面内容模板
     * @return templateContentNotList
     */
    public List<String> getTemplateContentNotList(){
        return this.templateContentNotList;
    }

    /**
     * 设置 照面内容模板
     * @param templateContentNotList
     */
    public void setTemplateContentNotList(List<String> templateContentNotList){
        this.templateContentNotList = templateContentNotList;
    }

    /**
     * 获取 内容表单
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 内容表单
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
     * 获取 内容表单
     * @return formContentNotList
     */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
     * 设置 内容表单
     * @param formContentNotList
     */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public CertificateDocumentQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public CertificateDocumentQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public CertificateDocumentQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public CertificateDocumentQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public CertificateDocumentQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public CertificateDocumentQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public CertificateDocumentQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public CertificateDocumentQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public CertificateDocumentQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public CertificateDocumentQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public CertificateDocumentQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public CertificateDocumentQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  部门id
     * @param deptId
     */
    public CertificateDocumentQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门id
     * @param deptIdStart
     */
    public CertificateDocumentQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门id
     * @param deptIdEnd
     */
    public CertificateDocumentQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门id
     * @param deptIdIncrement
     */
    public CertificateDocumentQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门id
     * @param deptIdList
     */
    public CertificateDocumentQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门id
     * @param deptIdNotList
     */
    public CertificateDocumentQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public CertificateDocumentQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public CertificateDocumentQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 子证名称
     * @param documentName
     */
    public CertificateDocumentQuery documentName(String documentName){
        setDocumentName(documentName);
        return this;
    }

    /**
     * 设置 子证名称
     * @param documentNameList
     */
    public CertificateDocumentQuery documentNameList(List<String> documentNameList){
        this.documentNameList = documentNameList;
        return this;
    }

    /**
     * 设置  状态，0：禁用1：启用
     * @param status
     */
    public CertificateDocumentQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 状态，0：禁用1：启用
     * @param statusStart
     */
    public CertificateDocumentQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 状态，0：禁用1：启用
     * @param statusEnd
     */
    public CertificateDocumentQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 状态，0：禁用1：启用
     * @param statusIncrement
     */
    public CertificateDocumentQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 状态，0：禁用1：启用
     * @param statusList
     */
    public CertificateDocumentQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置 状态，0：禁用1：启用
     * @param statusNotList
     */
    public CertificateDocumentQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CertificateDocumentQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CertificateDocumentQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CertificateDocumentQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CertificateDocumentQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CertificateDocumentQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CertificateDocumentQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CertificateDocumentQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CertificateDocumentQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CertificateDocumentQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CertificateDocumentQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CertificateDocumentQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CertificateDocumentQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 照面内容模板
     * @param templateContent
     */
    public CertificateDocumentQuery templateContent(String templateContent){
        setTemplateContent(templateContent);
        return this;
    }

    /**
     * 设置 照面内容模板
     * @param templateContentList
     */
    public CertificateDocumentQuery templateContentList(List<String> templateContentList){
        this.templateContentList = templateContentList;
        return this;
    }


    /**
     * 设置 内容表单
     * @param formContent
     */
    public CertificateDocumentQuery formContent(String formContent){
        setFormContent(formContent);
        return this;
    }

    /**
     * 设置 内容表单
     * @param formContentList
     */
    public CertificateDocumentQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CertificateDocumentQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CertificateDocumentQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CertificateDocumentQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CertificateDocumentQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}